const system = require("../../../system");
const ServiceBase = require("../../svems.base");
var settings = require("../../../../config/settings");

class InvoicecontentService extends ServiceBase {
  constructor() {
    super();
  }

  async all(params) {
    return await this.callms("common", "invoicecontentAll", params);
  }

  async list(params) {
    return await this.callms("common", "invoiceList", params);
  }

  async info(params) {
    return await this.callms("common", "invoicecontent", params);
  }

  async save(params) {
    return await this.callms("common", "invoicecontentSave", params); 
  }

  async del(params) {
    return await this.callms("common", "invoicecontentDelete", params);
  }

}
module.exports = InvoicecontentService;